> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shardcloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom domain info



## OpenAPI

````yaml /api-reference/openapi.json get /apps/{app_id}/domain
openapi: 3.0.0
info:
  title: Cloud Website API
  description: API documentation for database and app management endpoints
  version: 1.0.0
servers:
  - url: https://shardcloud.app/api
    description: API base path
security: []
tags:
  - name: Databases
    description: Database management operations
  - name: Apps
    description: Application management operations
paths:
  /apps/{app_id}/domain:
    get:
      tags:
        - Apps
      summary: Get custom domain info
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Custom domain information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHostnameInfo'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - JWTAuth: []
components:
  schemas:
    CustomHostnameInfo:
      type: object
      properties:
        id:
          type: string
        hostname:
          type: string
        status:
          type: string
        ownership_verification:
          type: object
        ownership_verification_http:
          type: object
        ssl:
          type: object
        custom_metadata:
          type: object
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    JWTAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````